FROM php:7.1-apache

#RUN apt-get install -y librabbitmq-dev && pecl install amqp-1.7.0 && docker-php-ext-enable amqp

RUN apt-get update && apt-get install -y librabbitmq-dev && pecl install amqp-1.7.0 && docker-php-ext-enable amqp

#RUN apt-get update && apt-get install -y \
#    openssh-client \
#    && docker-php-ext-install -j$(nproc) pdo pdo_mysql \
#    && yes | pecl install xdebug \
#    && echo "zend_extension=$(find /usr/local/lib/php/extensions/ -name xdebug.so)" > /usr/local/etc/php/conf.d/xdebug.ini \
#    && echo "xdebug.remote_enable=on" >> /usr/local/etc/php/conf.d/xdebug.ini \
#    && echo "xdebug.remote_autostart=off" >> /usr/local/etc/php/conf.d/xdebug.ini

#RUN apt-get update && apt-get install -y \
#    openssh-client \
#    && docker-php-ext-install -j$(nproc) pdo pdo_mysql \
#    && yes | pecl install xdebug \
#    && echo "zend_extension=$(find /usr/local/lib/php/extensions/ -name xdebug.so)" > /usr/local/etc/php/conf.d/xdebug.ini \
#    && echo "xdebug.remote_enable=on" >> /usr/local/etc/php/conf.d/xdebug.ini \
#    && echo "xdebug.remote_autostart=off" >> /usr/local/etc/php/conf.d/xdebug.ini